Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.lockout
Interface LockOutEventListener

    public interface LockOutEventListener

Interface to listen for lockout events. Use the `LockOutEventDispatcher.addListener(LockOutEventListener)` method to register for events.

Author:
  Daniel Henninger

Method Summary
`void` | `accountLocked(LockOutFlag flag)` Notifies the listeners that an account was just set to be disabled/locked out.
`void` | `accountUnlocked(String username)` Notifies the listeners that an account was just enabled (lockout removed).
`void` | `lockedAccountDenied(String username)` Notifies the listeners that a locked out account attempted to log in.

Method Detail

### accountLocked

    void accountLocked(LockOutFlag flag)

  Notifies the listeners that an account was just set to be disabled/locked out.

  Parameters:
    `flag` - The LockOutFlag that was set, which includes the username of the account and start/end times.

### accountUnlocked

    void accountUnlocked(String username)

  Notifies the listeners that an account was just enabled (lockout removed).

  Parameters:
    `username` - The username of the account that was enabled.

### lockedAccountDenied

    void lockedAccountDenied(String username)

  Notifies the listeners that a locked out account attempted to log in.

  Parameters:
    `username` - The username of the account that tried to log in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.